DATA_PATH_ROOT = './'
OUTPUT_PATH_ROOT = './'
LOCAL_DATA_PATH_ROOT = './classifier_filtered'

SUBDIR_NII = 'nii'
SUBDIR_DCM = 'dicom'
SUBDIR_NPY = 'npy'
SUBDIR_TRAINVAL = 'trainvalfold'
TRAIN_PATH ='/train'
VAL_PATH ='/val'
TEST_PATH='/test'
UID2INFO = 'dataid.txt'
UID2INFO_HEADERS = ['uid', 'label', 'dataid', 'mloppath', 'realpath']

DATA_PATH_NII = fr"{DATA_PATH_ROOT}/{SUBDIR_NII}"
DATA_PATH_DCM = fr"{DATA_PATH_ROOT}/{SUBDIR_DCM}"
DATA_PATH_NPY = fr"{DATA_PATH_ROOT}/{SUBDIR_NPY}"
DATA_PATH = fr"{DATA_PATH_ROOT}/{SUBDIR_TRAINVAL}"

NUM_OF_FEATURES = 22
RANDOM_SEED = 42
NUM_OF_EPOCHS = 10
BATCH_SIZE = 16
MAX_LEARNING_RATE = 0.001
GRAD_CLIP = None
WEIGHT_DECAY = 1e-4
VERSION='b2'
NUM_WORKERS = 4
image_channels = 3
TEST_MODE=False

BASE_MODEL_PATH = fr'{OUTPUT_PATH_ROOT}/ckpt'
CHECKPOINT_PATH = fr'{BASE_MODEL_PATH}/model.pth'
BASE_RESULT_PATH = fr'{OUTPUT_PATH_ROOT}/result'
PIN_MEMORY=False

G_LOGGER = None
G_WORLD_SIZE = 1
G_RANK = 0
G_LOCAL_RANK = 0
USE_WEBUI = False
USE_DDP = False
TASK_NAME = ''
TASK_DATASET_ID = ''
CLASSES = [fr'{ii}' for ii in range(NUM_OF_FEATURES)]
CLASS_MAP = {}
CLASS_ID = 1

CHECKPOINTING = False
MIX_TRAINING = False